<?php
/**
 * Plugin Name: MainWP Child - site managed by nedzadhrnjica.com - brending
 * Plugin URI: https://nedzadhrnjica.com/wordpress/plugins/mainwp-child-managed-by-nedzadhrnjica.com/
 * Description: Minimal branding of 'MainWP Child' plugin, updating: 1) title - to note that we are doing site management, 2) add 'Support' link, 3) add 'Documentation' link. This plugin will be 'hidden' when the 'MainWP Child' is active.
 * Version: 0.1.0
 * Author: Nedzad Hrnjica
 * Author URI: https://nedzadhrnjica.com
 */

// initialize

wp_cache_set('brending', " - site managed by nedzadhrnjica.com");
wp_cache_set('supporturl', "https://nedzadhrnjica.com/wordpress/plugins/mainwp-child-managed-by-nedzadhrnjica.com/");
wp_cache_set('docurl',     "https://nedzadhrnjica.com/wordpress/plugins/mainwp-child-managed-by-nedzadhrnjica.com/");

if ( is_admin() ) {

  add_filter( 'all_plugins', function($plugins) {

	foreach ( $plugins as $key => $value ) {
                $brending = wp_cache_get('brending');
		if ( $key === 'mainwp-child/mainwp-child.php' ) {
			$plugins[$key]['Name'] = $plugins[$key]['Name'] . $brending;
		}
	}

	return $plugins;
  });

  add_filter( 'plugin_row_meta', function( $links, $file ) {

        $supporturl = wp_cache_get('supporturl');
        $docurl = wp_cache_get('docurl');
	if ( $file === 'mainwp-child/mainwp-child.php' ) {
		$new_links = array(
                        'support' => '<a href="' . $supporturl .'" target="_blank">Support</a>',
                        'doc' => '<a href="'. $docurl .'" target="_blank">Documentation</a>'
		);
		
		$links = array_merge( $links, $new_links );

	}

	return $links;
  } , 10, 2 );

}



if ( is_admin() ) { //admin actions

  // ensure is_plugin_active() exists (not on frontend)

  if ( !function_exists('is_plugin_active') ) {
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
  }	

  if ( ! is_plugin_active( 'mainwp-child/mainwp-child.php' ) ) {
	  return;
  }

  // ===[ hide this plugin ]============================================

    add_filter( 'all_plugins', function($plugins) {
	foreach ( $plugins as $key => $value ) {
		$plugin_filename = basename( $key );
		if ( $plugin_filename === basename( __FILE__ ) ) {
			unset( $plugins[ $key ] );
		}
	}
	return $plugins;
    });

  // ===[ end ]=========================================================

}

